Package relaxngcc.datatype

# Class Macro.Variable

java.lang.Object
relaxngcc.datatype.Macro.Variable

Enclosing class:
  `Macro`

public static final class Macro.Variable extends Object
Variable.

## Constructor Summary

Constructors
Constructor
Description
`Variable(String _name, Locator loc)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString(Map dictionary)`
Replaces this token with its definition in the dictionary file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Variable

public Variable(String _name, Locator loc)

Parameters:
  `_name` - variable name.
  `loc` - Location of the occurence of this variable. used for error messages.

## Method Details

### toString

public String toString(Map dictionary) throws NoDefinitionException
Replaces this token with its definition in the dictionary file.

Throws:
  `NoDefinitionException`